Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartlock::KeypadManager::KeypadSettingsChangedEvent Struct Reference
Inheritance diagram for smartlock::KeypadManager::KeypadSettingsChangedEvent:

## Public Attributes
Keypad | keypad
| affected keypad
KeypadSettings | oldSettings
| Settings before change.
KeypadSettings | newSettings
| Settings after change.
string | position
| Position of the keypad (see Keypad::MetaData)
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Definition at line 48 of file KeypadManager.idl.

## Member Data Documentation

## ◆ keypad

Keypad smartlock::KeypadManager::KeypadSettingsChangedEvent::keypad

affected keypad

Definition at line 49 of file KeypadManager.idl.

## ◆ newSettings

KeypadSettings smartlock::KeypadManager::KeypadSettingsChangedEvent::newSettings

Settings after change.

Definition at line 51 of file KeypadManager.idl.

## ◆ oldSettings

KeypadSettings smartlock::KeypadManager::KeypadSettingsChangedEvent::oldSettings

Settings before change.

Definition at line 50 of file KeypadManager.idl.

## ◆ position

string smartlock::KeypadManager::KeypadSettingsChangedEvent::position

Position of the keypad (see Keypad::MetaData)

Definition at line 52 of file KeypadManager.idl.

The documentation for this struct was generated from the following file:

- KeypadManager.idl